Summary:    A tool to view open files on the linux/unix system 
Name:       lsof
Version:    4.99.4
Release:    1%{?dist}
License:    zlib and Sendmail and LGPLv2+
URL:        https://github.com/lsof-org/lsof
Source0:    https://github.com/lsof-org/lsof/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc make
BuildRequires: libselinux-devel libtirpc-devel
BuildRequires: groff-base
BuildRequires: automake
BuildRequires: autoconf

%description
Lsof (list open files) is a tool to view open files on the linux/unix system.
Everything exists in the form of files in linux/unix. Through files,you can not 
only access conventional data, but also access network connections and hardware.
For example, transmission control protocol (TCP) and user datagram protocol (UDP)
sockets, linux system assigns a file descriptor to the application in the backgr-
ound, which provides a lot of information about the application itself.And lsof 
can help you list information about files opened by processes.


%prep
%autosetup -n %{name}-%{version}


%build
%configure
%make_build DEBUG="%{optflags}" LSOF_SYSINFO=none LSOF_HOST=none


%install
install -d %{buildroot}%{_bindir}
install -m 755 lsof %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man8
install -m 644 Lsof.8 %{buildroot}%{_mandir}/man8/lsof.8


%check
%make_build check || exit 0


%files
%doc 00README 00CREDITS 00FAQ 00LSOF-L 00QUICKSTART
%{_bindir}/lsof
%{_mandir}/man*/*


%changelog
* Thu Dec 26 2024 Upgrade Robot <upbot@opencloudos.tech> - 4.99.4-1
- Upgrade to version 4.99.4
- Fixes lsof got stuck when ulimit was set too high(https://github.com/lsof-org/lsof/issues/281)

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.97.0-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.97.0-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.97.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 wynnfeng <wynnfeng@tencent.com> - 4.97.0-1
- upgrade to 4.97.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.95.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.95.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jun 02 2022 doriscchao <doriscchao@tencent.com> - 4.95.0-1
- initial lsof, Version 4.95.0, Release 1
